/************************************************************************
 *   mIRC MySQL extern.h
 *   Copyright (C) 2000-2003 Michael Reynolds
 *
 *   See file readme.txt for additional names of the programmers.
 *
 *   This file is part of mIRC MySQL.
 *
 *   mIRC MySQL is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   mIRC MySQL is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with mIRC MySQL; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#if !defined(MIRC_EXTERN_H)
# define MIRC_EXTERN_H

/* mircmysql.h */
typedef struct labels_ LABELS;

/* interface.cpp */

/* labels.cpp */
extern void freelabel(LABELS*);
extern LABELS *findlabel(const char*);
extern LABELS *findlabel_by_digit(unsigned long);
extern unsigned long labelcount();
extern unsigned int field_to_number(MYSQL_RES,char*);
extern void removelabel(LABELS*);
extern void insertlabel(LABELS*);
extern LABELS *makelabel(char*);
extern LABELS *initlabel();

/* misc.cpp */
extern char bench[];
extern char *strmov(register char *, register const char *);
extern char *m_strncpy(char*,const char*,size_t);
extern char *m_strncat(char*,const char*,size_t);

/* mysql.cpp */
extern int enable_debug;
extern int check_version(int);
extern char *int_to_base64(unsigned long);
extern unsigned long base64_to_int(char *);
extern char tobase64array[64];
extern char base64to[256];
extern void MB(const char*,...);
extern "C" __declspec(dllexport) int __stdcall UnloadDll(int manual);

#endif
